﻿util.AddNetworkString("MapData.Request")
util.AddNetworkString("MapData.MapPacketHeader")
util.AddNetworkString("MapData.MapPacket")

AMBIENCE_PACKET_AMBIENT		= 0
AMBIENCE_PACKET_STREET 		= 1
AMBIENCE_PACKET_LEXIKA 		= 2
AMBIENCE_PACKET_SVDATA 		= 3
AMBIENCE_PACKET_SCAPE 		= 4
AMBIENCE_PACKET_GRAPH 		= 5

MapData = {}
MapData.GraphData		= {
	["base.outside_flash"] = {
		cond = {
			"vfx1.enter.city",
		}
	}
}
MapData.ScapeData		= {
	["base.constructtone_day"] = {
		path = "ambient/construct_tone.wav",
		looped = true,
		volume = 0.7,
		cond = {
			"SW.Day",
		},
	},
	["base.tunnel"] = {
		path = "ambient/atmosphere/tunnel1.wav",
		looped = true,
		volume = 0.5,
	},
	["base.interior"] = {
		path = "rustsurvival/ambient/a_interior_generic_loop.wav",
		looped = true,
		volume = 0.7,
	},
	["roof.airconditioner"] = {
		path = "rustsurvival/ambient/a_frig_loop.wav",
		looped = true,
		volume = 0.7,
	},
	["base.night_creepy"] = {
		path = "ambient/atmosphere/town_ambience.wav",
		looped = true,
		volume = 0.7,
		cond = {
			"SW.Night",
		},
	},
	["base.wind_bass"] = {
		path = "ambient/wind/wind_bass.wav",
		looped = true,
		volume = 1,
	},
	["base.wind.light_day"] = {
		path = "rustsurvival/ambient/a_windlight_loop.wav",
		looped = true,
		cond = {
			"SW.Day",
		},
		volume = 0.7,
	},
	["base.wind.medium_day"] = {
		path = "rustsurvival/ambient/a_windmedium_loop.wav",
		looped = true,
		cond = {
			"SW.Day",
		},
		volume = 0.5
	},
	["base.wind.medium_storm"] = {
		path = "rustsurvival/ambient/a_windheavy_loop.wav",
		looped = true,
		cond = {
			"SW.WindWeather",
		},
		volume = 0.4
	},
	["forest.birds"] = {
		path = {"soundmaster/ambient_ac/0xFAF134.wav","soundmaster/ambient_ac/0xFAF135.wav","soundmaster/ambient_ac/0xFAF136.wav"},
		looped = true,
		volume = 0.7,
		cond = {
			"SW.Day",
			"SW.DryWeather",
		},
	},
	["nights.crickets"] = {
		path = "rustsurvival/ambient/a_crickets_loop.wav",
		looped = true,
		cond = {
			"SW.Night",
			"SW.DryWeather",
		},
		volume = 0.7,
	},
	["tech.transformer"] = {
		path = "ambient/machines/power_transformer_loop_2.wav",
		looped = true,
		volume = 0.7,
	},
	["tech.refinery"] = {
		path = "ambient/machines/refinery_loop_1.wav",
		looped = true,
		volume = 0.5,
	},
	["tech.factory"] = {
		path = "ambient/atmosphere/factory_loop_1.wav",
		looped = true,
		volume = 0.5,
	},
	["base.weather.rain"] = {
		path = "soundmaster/weather_ac/0x16879de0.wav",
		looped = true,
		cond = {
			"!SW.InVehicle",
			"SW.RainWeather",
		},
		volume = 1,
	},
	["base.weather.raincar"] = {
		path = "soundmaster/weather_ac/0x16879de1.wav",
		looped = true,
		cond = {
			"SW.InVehicle",
			"SW.RainWeather",
		},
		volume = 1,
	},
}
MapData.StreetLexika 	= {
	["rp_evocity_v33x"] = {
		[0] 		= "Hauptstraße",
		[1] 		= "Rosenweg",
		[2] 		= "Ulmer-Straße",
		[3] 		= "Zweibrüderweg",
		[4] 		= "Woltmanstraße",
		[5] 		= "Willistraße",
		[6] 		= "Wellengasse",
	},
	["rp_evoford"] = {
		[0] 		= "Hauptstraße",
		[1] 		= "Rosenweg",
		[2] 		= "Ulmer-Straße",
		[3] 		= "Zweibrüderweg",
		[4] 		= "Woltmanstraße",
		[5] 		= "Willistraße",
		[6] 		= "Wellengasse",
	},
}
MapData.StreetData 		= {
	["rp_evocity_v33x"] = {
		{--1
			StreetID = 2,
			Start 	= Vector(-6260,-12197,0),
			End 	= Vector(-9643,-12197,0),
		},
		{--2
			StreetID = 2,
			Start 	= Vector(-6260,-12197,0),
			End 	= Vector(-6011,-11941,0),
		},
		{--3
			StreetID = 2,
			Start 	= Vector(-6011,-11941,0),
			End 	= Vector(-6004,-8286,0),
		},
		{--4
			StreetID = 2,
			Start 	= Vector(-9899,-8612,0),
			End 	= Vector(-9899,-11941,0),
		},
		{--5
			StreetID = 3,
			Start 	= Vector(-8160,-5775,0),
			End 	= Vector(-8160,-8286,0),
		},
		{--6
			StreetID = 2,
			Start 	= Vector(-9899,-8612,0),
			End 	= Vector(-9572,-8286,0),
		},
		{--7
			StreetID = 2,
			Start 	= Vector(-9643,-12197,0),
			End 	= Vector(-9899,-11941,0),
		},
		{--8
			StreetID = 6,
			Start 	= Vector(-4652,-8286,0),
			End 	= Vector(-6004,-8286,0),
		},
		{--9
			StreetID = 6,
			Start 	= Vector(-4324,-7957,0),
			End 	= Vector(-4652,-8286,0),
		},
		{--10
			StreetID = 6,
			Start 	= Vector(-4324,-5774,0),
			End 	= Vector(-4324,-7957,0),
		},
		{--11
			StreetID = 6,
			Start 	= Vector(-4653,-5447,0),
			End 	= Vector(-4324,-5774,0),
		},
		{--12
			StreetID = 6,
			Start 	= Vector(-6004,-5447,0),
			End 	= Vector(-4653,-5447,0),
		},
		{--13
			StreetID = 0,
			Start 	= Vector(-6004,-8286,0),
			End 	= Vector(-6004,-5447,0),
		},
		{--14
			StreetID = 3,
			Start 	= Vector(-6004,-5447,0),
			End 	= Vector(-7928,-5447,0),
		},		
		{--15
			StreetID = 2,
			Start 	= Vector(-8160,-8286,0),
			End 	= Vector(-6004,-8286,0),
		},
		{--16
			StreetID = 3,
			Start 	= Vector(-7928,-5447,0),
			End 	= Vector(-8160,-5775,0),
		},
		{--17
			StreetID = 2,
			Start 	= Vector(-8160,-8286,0),
			End 	= Vector(-9572,-8286,0),
		},
		{--18
			StreetID = 0,
			Start 	= Vector(-6004,-1428,0),
			End 	= Vector(-6004,-5447,0),
		},
		{--19
			StreetID = 0,
			Start 	= Vector(-6004,-1428,0),
			End 	= Vector(-5990,-1255,0),
		},
		{--20
			StreetID = 0,
			Start 	= Vector(-5990,-1255,0),
			End 	= Vector(-5950,-1113,0),
		},
		{--21
			StreetID = 0,
			Start 	= Vector(-5879,-978,0),
			End 	= Vector(-5950,-1113,0),
		},
		{--22
			StreetID = 0,
			Start 	= Vector(-5879,-978,0),
			End 	= Vector(-5784,-865,0),
		},
		{--23
			StreetID = 0,
			Start 	= Vector(-5784,-865,0),
			End 	= Vector(-5666,-765,0),
		},
		{--24
			StreetID = 0,
			Start 	= Vector(-5666,-765,0),
			End 	= Vector(-5386,-656,0),
		},
		{--25
			StreetID = 0,
			Start 	= Vector(-5386,-656,0),
			End 	= Vector(-5235,-630,0),
		},
		{--26
			StreetID = 0,
			Start 	= Vector(-5235,-630,0),
			End 	= Vector(-4990,-630,0),
		},
		{--27
			StreetID = 0,
			Start 	= Vector(-4990,-630,0),
			End 	= Vector(-965 ,-651,0),
		},
		{--28
			StreetID = 4,
			Start 	= Vector(-965,-651,0),
			End 	= Vector(-966,-5716,0),
		},
		{--29
			StreetID = 4,
			Start 	= Vector(-966,-5716,0),
			End 	= Vector(-954,-5888,0),
		},
		{--30
			StreetID = 4,
			Start 	= Vector(-954,-5888,0),
			End 	= Vector(-907,-6056,0),
		},
		{--31
			StreetID = 4,
			Start 	= Vector(-907,-6056,0),
			End 	= Vector(-744,-6304,0),
		},
		{--32
			StreetID = 4,
			Start 	= Vector(-744,-6304,0),
			End 	= Vector(-628,-6400,0),
		},
		{--33
			StreetID = 4,
			Start 	= Vector(-628,-6400,0),
			End 	= Vector(-494,-6469,0),
		},
		{--34
			StreetID = 4,
			Start 	= Vector(-494,-6469,0),
			End 	= Vector(-149,-6525,0),
		},
		{--35
			StreetID = 4,
			Start 	= Vector(-149,-6525,0),
			End 	= Vector(6963,-6532,0),
		},
		{--36
			StreetID = 4,
			Start 	= Vector(6963,-6532,0),
			End 	= Vector(7112,-6512,0),
		},
		{--37
			StreetID = 4,
			Start 	= Vector(7112,-6512,0),
			End 	= Vector(7252,-6466,0),
		},
		{--38
			StreetID = 4,
			Start 	= Vector(7252,-6466,0),
			End 	= Vector(7504,-6306,0),
		},
		{--39
			StreetID = 4,
			Start 	= Vector(7504,-6306,0),
			End 	= Vector(7599,-6191,0),
		},
		{--40
			StreetID = 4,
			Start 	= Vector(7599,-6191,0),
			End 	= Vector(7667,-6058,0),
		},
		{--41
			StreetID = 4,
			Start 	= Vector(7667,-6058,0),
			End 	= Vector(7710,-5916,0),
		},
		{--42
			StreetID = 4,
			Start 	= Vector(7710,-5916,0),
			End 	= Vector(7724,-5766,0),
		},
		{--43
			StreetID = 4,
			Start 	= Vector(7724,-5766,0),
			End 	= Vector(7727,-622,0),
		},
		{--44
			StreetID = 4,
			Start 	= Vector(7727,-622,0),
			End 	= Vector(7773,-273,0),
		},
		{--45
			StreetID = 4,
			Start 	= Vector(7773,-273,0),
			End 	= Vector(7865,65,0),
		},
		{--46
			StreetID = 4,
			Start 	= Vector(7865,65,0),
			End 	= Vector(8032,374,0),
		},
		{--47
			StreetID = 4,
			Start 	= Vector(8032,374,0),
			End 	= Vector(8252,650,0),
		},
		{--48
			StreetID = 4,
			Start 	= Vector(8252,650,0),
			End 	= Vector(8524,872,0),
		},
		{--49
			StreetID = 4,
			Start 	= Vector(8524,872,0),
			End 	= Vector(8837,1036,0),
		},
		{--50
			StreetID = 4,
			Start 	= Vector(8837,1036,0),
			End 	= Vector(9172,1141,0),
		},
		{--51
			StreetID = 4,
			Start 	= Vector(9172,1141,0),
			End 	= Vector(9607,1160,0),
		},
		{--52
			StreetID = 4,
			Start 	= Vector(9607,1160,0),
			End 	= Vector(10271,1165,0),
		},
		{--53
			StreetID = 4,
			Start 	= Vector(10271,1165,0),
			End 	= Vector(10623,1198,0),
		},
		{--54
			StreetID = 4,
			Start 	= Vector(10623,1198,0),
			End 	= Vector(11008,1321,0),
		},
		{--55
			StreetID = 4,
			Start 	= Vector(11008,1321,0),
			End 	= Vector(11271,1466,0),
		},
		{--56
			StreetID = 4,
			Start 	= Vector(11271,1466,0),
			End 	= Vector(11271,1466,0),
		},
		{--57
			StreetID = 4,
			Start 	= Vector(11271,1466,0),
			End 	= Vector(11544,1688,0),
		},
		{--58
			StreetID = 4,
			Start 	= Vector(11544,1688,0),
			End 	= Vector(11766,1961,0),
		},
		{--59
			StreetID = 4,
			Start 	= Vector(11766,1961,0),
			End 	= Vector(11934,2273,0),
		},
		{--60
			StreetID = 4,
			Start 	= Vector(11934,2273,0),
			End 	= Vector(12028,2612,0),
		},
		{--61
			StreetID = 4,
			Start 	= Vector(12028,2612,0),
			End 	= Vector(12057,2963,0),
		},
		{--62
			StreetID = 4,
			Start 	= Vector(12057,2963,0),
			End 	= Vector(12058,6255,0),
		},
		{--63
			StreetID = 4,
			Start 	= Vector(12057,6255,0),
			End 	= Vector(12058,11255,0),
		},
		{--64
			StreetID = 4,
			Start 	= Vector(12058,11255,0),
			End 	= Vector(12044,11916,0),
		},
		{--65
			StreetID = 0,
			Start 	= Vector(12044,11916,0),
			End 	= Vector(11999,12059,0),
		},
		{--66
			StreetID = 0,
			Start 	= Vector(11999,12059,0),
			End 	= Vector(11836,12308,0),
		},
		{--67
			StreetID = 0,
			Start 	= Vector(11836,12308,0),
			End 	= Vector(11720,12403,0),
		},
		{--68
			StreetID = 0,
			Start 	= Vector(11720,12403,0),
			End 	= Vector(11593,12468,0),
		},
		{--69
			StreetID = 0,
			Start 	= Vector(11593,12468,0),
			End 	= Vector(11444,12515,0),
		},
		{--70
			StreetID = 0,
			Start 	= Vector(11444,12515,0),
			End 	= Vector(11223,12540,0),
		},
		{--71
			StreetID = 0,
			Start 	= Vector(11095,12543,0),
			End 	= Vector(11223,12540,0),
		},
		{--72
			StreetID = 0,
			Start 	= Vector(11223,12540,0),
			End 	= Vector(9248,12542,0),
		},
		{--73
			StreetID = 0,
			Start 	= Vector(9248,12542,0),
			End 	= Vector(8896,12508,0),
		},
		{--74
			StreetID = 0,
			Start 	= Vector(8896,12508,0),
			End 	= Vector(8511,12384,0),
		},
		{--75
			StreetID = 0,
			Start 	= Vector(8511,12384,0),
			End 	= Vector(8247,12240,0),
		},
		{--76
			StreetID = 0,
			Start 	= Vector(8247,12240,0),
			End 	= Vector(7975,12016,0),
		},
		{--77
			StreetID = 0,
			Start 	= Vector(7975,12016,0),
			End 	= Vector(7752,11744,0),
		},
		{--78
			StreetID = 0,
			Start 	= Vector(7752,11744,0),
			End 	= Vector(7585,11433,0),
		},
		{--79
			StreetID = 0,
			Start 	= Vector(7585,11433,0),
			End 	= Vector(7454,10991,0),
		},
		{--80
			StreetID = 0,
			Start 	= Vector(7454,10991,0),
			End 	= Vector(7305,10673,0),
		},
		{--81
			StreetID = 0,
			Start 	= Vector(7305,10673,0),
			End 	= Vector(7083,10400,0),
		},
		{--82
			StreetID = 0,
			Start 	= Vector(6811,10177,0),
			End 	= Vector(7083,10400,0),
		},
		{--83
			StreetID = 0,
			Start 	= Vector(6811,10177,0),
			End 	= Vector(6502,10014,0),
		},
		{--84
			StreetID = 0,
			Start 	= Vector(6502,10014,0),
			End 	= Vector(6165,9909,0),
		},
		{--85
			StreetID = 0,
			Start 	= Vector(6165,9909,0),
			End 	= Vector(5812,9883,0),
		},
		{--86
			StreetID = 0,
			Start 	= Vector(5812,9883,0),
			End 	= Vector(3430,9884,0),
		},
		{--87
			StreetID = 0,
			Start 	= Vector(3430,9884,0),
			End 	= Vector(1055,9885,0),
		},
		{--88
			StreetID = 0,
			Start 	= Vector(1055,9885,0),
			End 	= Vector(907,9900,0),
		},
		{--89
			StreetID = 0,
			Start 	= Vector(907,9900,0),
			End 	= Vector(765,9944,0),
		},
		{--90
			StreetID = 0,
			Start 	= Vector(765,9944,0),
			End 	= Vector(632,10014,0),
		},
		{--91
			StreetID = 0,
			Start 	= Vector(632,10014,0),
			End 	= Vector(516,10108,0),
		},
		{--92
			StreetID = 0,
			Start 	= Vector(516,10108,0),
			End 	= Vector(351,10356,0),
		},		
		{--93
			StreetID = 0,
			Start 	= Vector(351,10356,0),
			End 	= Vector(308,10499,0),
		},
		{--94
			StreetID = 0,
			Start 	= Vector(308,10499,0),
			End 	= Vector(293,10650,0),
		},
		{--95
			StreetID = 0,
			Start 	= Vector(293,10650,0),
			End 	= Vector(289,11768,0),
		},
		{--96
			StreetID = 0,
			Start 	= Vector(289,11768,0),
			End 	= Vector(267,11916,0),
		},
		{--97
			StreetID = 0,
			Start 	= Vector(267,11916,0),
			End 	= Vector(224,12060,0),
		},
		{--98
			StreetID = 0,
			Start 	= Vector(224,12060,0),
			End 	= Vector(61,12308,0),
		},
		{--99
			StreetID = 0,
			Start 	= Vector(61,12308,0),
			End 	= Vector(-55,12403,0),
		},
		{--100
			StreetID = 0,
			Start 	= Vector(-55,12403,0),
			End 	= Vector(-188,12471,0),
		},
		{--101
			StreetID = 0,
			Start 	= Vector(-188,12471,0),
			End 	= Vector(-331,12515,0),
		},
		{--102
			StreetID = 0,
			Start 	= Vector(-331,12515,0),
			End 	= Vector(-553,12541,0),
		},
		{--103
			StreetID = 0,
			Start 	= Vector(-553,12541,0),
			End 	= Vector(-1053,12541,0),
		},
		{--104
			StreetID = 0,
			Start 	= Vector(-1053,12541,0),
			End 	= Vector(-1140,12556,0),
		},
		{--105
			StreetID = 0,
			Start 	= Vector(-1140,12556,0),
			End 	= Vector(-1283,12600,0),
		},
		{--106
			StreetID = 0,
			Start 	= Vector(-1283,12600,0),
			End 	= Vector(-1416,12668,0),
		},
		{--107
			StreetID = 0,
			Start 	= Vector(-1416,12668,0),
			End 	= Vector(-1532,12763,0),
		},
		{--108
			StreetID = 0,
			Start 	= Vector(-1532,12763,0),
			End 	= Vector(-1628,12887,0),
		},	
		{--109
			StreetID = 0,
			Start 	= Vector(-1628,12887,0),
			End 	= Vector(-1696,13012,0),
		},
		{--110
			StreetID = 0,
			Start 	= Vector(-1696,13012,0),
			End 	= Vector(-1738,13154,0),
		},
		{--111
			StreetID = 0,
			Start 	= Vector(-1738,13154,0),
			End 	= Vector(-1754,13304,0),
		},
		{--112
			StreetID = 0,
			Start 	= Vector(-1754,13304,0),
			End 	= Vector(-1756,14072,0),
		},
		{--113
			StreetID = 0,
			Start 	= Vector(-1756,14072,0),
			End 	= Vector(-1780,14221,0),
		},
		{--114
			StreetID = 0,
			Start 	= Vector(-1780,14221,0),
			End 	= Vector(-1823,14363,0),
		},
		{--115
			StreetID = 0,
			Start 	= Vector(-1823,14363,0),
			End 	= Vector(-1899,14492,0),
		},
		{--116
			StreetID = 0,
			Start 	= Vector(-1899,14492,0),
			End 	= Vector(-1987,14612,0),
		},
		{--117
			StreetID = 0,
			Start 	= Vector(-1987,14612,0),
			End 	= Vector(-2102,14708,0),
		},
		{--118
			StreetID = 0,
			Start 	= Vector(-2102,14708,0),
			End 	= Vector(-2236,14776,0),
		},
		{--119
			StreetID = 0,
			Start 	= Vector(-2236,14776,0),
			End 	= Vector(-2379,14820,0),
		},
		{--120
			StreetID = 0,
			Start 	= Vector(-2379,14820,0),
			End 	= Vector(-2527,14835,0),
		},
		{--121
			StreetID = 0,
			Start 	= Vector(-2527,14835,0),
			End 	= Vector(-2636,14845,0),
		},
		{--122
			StreetID = 0,
			Start 	= Vector(-2636,14845,0),
			End 	= Vector(-4576,14846,0),
		},
		{--123
			StreetID = 0,
			Start 	= Vector(-4576,14846,0),
			End 	= Vector(-4725,14818,0),
		},
		{--124
			StreetID = 0,
			Start 	= Vector(-4725,14818,0),
			End 	= Vector(-4869,14777,0),
		},
		{--125
			StreetID = 0,
			Start 	= Vector(-4869,14777,0),
			End 	= Vector(-4996,14701,0),
		},
		{--126
			StreetID = 0,
			Start 	= Vector(-4996,14701,0),
			End 	= Vector(-5117,14612,0),
		},
		{--127
			StreetID = 0,
			Start 	= Vector(-5117,14612,0),
			End 	= Vector(-5212,14495,0),
		},
		{--128
			StreetID = 0,
			Start 	= Vector(-5212,14495,0),
			End 	= Vector(-5279,14363,0),
		},
		{--129
			StreetID = 0,
			Start 	= Vector(-5279,14363,0),
			End 	= Vector(-5324,14220,0),
		},
		{--130
			StreetID = 0,
			Start 	= Vector(-5324,14220,0),
			End 	= Vector(-5339,14071,0),
		},
		{--131
			StreetID = 0,
			Start 	= Vector(-5339,14071,0),
			End 	= Vector(-5339,13002,0),
		},
		{--132
			StreetID = 0,
			Start 	= Vector(-5339,13002,0),
			End 	= Vector(-5340,12400,0),
		},
		{--133
			StreetID = 0,
			Start 	= Vector(-5340,12400,0),
			End 	= Vector(-5364,12251,0),
		},
		{--134
			StreetID = 0,
			Start 	= Vector(-5364,12251,0),
			End 	= Vector(-5409,12109,0),
		},
		{--135
			StreetID = 0,
			Start 	= Vector(-5409,12109,0),
			End 	= Vector(-5477,11976,0),
		},
		{--136
			StreetID = 0,
			Start 	= Vector(-5477,11976,0),
			End 	= Vector(-5572,11860,0),
		},
		{--137
			StreetID = 0,
			Start 	= Vector(-5572,11860,0),
			End 	= Vector(-5692,11770,0),
		},
		{--138
			StreetID = 0,
			Start 	= Vector(-5692,11770,0),
			End 	= Vector(-5820,11696,0),
		},
		{--139
			StreetID = 0,
			Start 	= Vector(-5820,11696,0),
			End 	= Vector(-5965,11654,0),
		},
		{--140
			StreetID = 0,
			Start 	= Vector(-5965,11654,0),
			End 	= Vector(-6112,11636,0),
		},
		{--141
			StreetID = 0,
			Start 	= Vector(-6112,11636,0),
			End 	= Vector(-6917,11636,0),
		},
		{--142
			StreetID = 0,
			Start 	= Vector(-6917,11636,0),
			End 	= Vector(-7065,11611,0),
		},
		{--143
			StreetID = 0,
			Start 	= Vector(-7065,11611,0),
			End 	= Vector(-7338,11495,0),
		},
		{--144
			StreetID = 0,
			Start 	= Vector(-7338,11495,0),
			End 	= Vector(-7456,11406,0),
		},
		{--145
			StreetID = 0,
			Start 	= Vector(-7456,11406,0),
			End 	= Vector(-7621,11156,0),
		},
		{--146
			StreetID = 0,
			Start 	= Vector(-7621,11156,0),
			End 	= Vector(-7664,11013,0),
		},
		{--147
			StreetID = 0,
			Start 	= Vector(-7664,11013,0),
			End 	= Vector(-7677,10865,0),
		},
		{--148
			StreetID = 0,
			Start 	= Vector(-7677,10865,0),
			End 	= Vector(-7681,8973,0),
		},
		{--149
			StreetID = 0,
			Start 	= Vector(-7681,8973,0),
			End 	= Vector(-5715,8972,0),
		},
		{--150
			StreetID = 0,
			Start 	= Vector(-5715,8972,0),
			End 	= Vector(-5599,8958,0),
		},
		{--151
			StreetID = 0,
			Start 	= Vector(-5599,8958,0),
			End 	= Vector(-5325,8844,0),
		},
		{--152
			StreetID = 0,
			Start 	= Vector(-5325,8844,0),
			End 	= Vector(-5209,8750,0),
		},
		{--153
			StreetID = 0,
			Start 	= Vector(-5209,8750,0),
			End 	= Vector(-5118,8633,0),
		},
		{--154
			StreetID = 0,
			Start 	= Vector(-5118,8633,0),
			End 	= Vector(-5045,8503,0),
		},
		{--155
			StreetID = 0,
			Start 	= Vector(-5045,8503,0),
			End 	= Vector(-5002,8360,0),
		},
		{--156
			StreetID = 0,
			Start 	= Vector(-5002,8360,0),
			End 	= Vector(-4986,8210,0),
		},
		{--157
			StreetID = 0,
			Start 	= Vector(-4986,8210,0),
			End 	= Vector(-4990,-630,0),
		},
		{--158
			StreetID = 0,
			Start 	= Vector(-965 ,-651,0),
			End 	= Vector(-716,-647,0),
		},
		{--159
			StreetID = 0,
			Start 	= Vector(-716,-647,0),
			End 	= Vector(-567,-633,0),
		},
		{--160
			StreetID = 0,
			Start 	= Vector(-567,-633,0),
			End 	= Vector(-420,-589,0),
		},
		{--161
			StreetID = 0,
			Start 	= Vector(-420,-589,0),
			End 	= Vector(-287,-517,0),
		},
		{--162
			StreetID = 0,
			Start 	= Vector(-287,-517,0),
			End 	= Vector(-168,-421,0),
		},
		{--163
			StreetID = 0,
			Start 	= Vector(-168,-421,0),
			End 	= Vector(-73,-304,0),
		},
		{--164
			StreetID = 0,
			Start 	= Vector(-73,-304,0),
			End 	= Vector(-1,-170,0),
		},
		{--165
			StreetID = 0,
			Start 	= Vector(-1,-170,0),
			End 	= Vector(43,-25,0),
		},
		{--166
			StreetID = 0,
			Start 	= Vector(43,-25,0),
			End 	= Vector(58,126,0),
		},
		{--167
			StreetID = 0,
			Start 	= Vector(58,126,0),
			End 	= Vector(59,3205,0),
		},
		{--168
			StreetID = 0,
			Start 	= Vector(59,3205,0),
			End 	= Vector(61,4999,0),
		},
		{--169
			StreetID = 0,
			Start 	= Vector(61,4999,0),
			End 	= Vector(61,7808,0),
		},
		{--170
			StreetID = 0,
			Start 	= Vector(61,7808,0),
			End 	= Vector(72,7952,0),
		},
		{--171
			StreetID = 0,
			Start 	= Vector(72,7952,0),
			End 	= Vector(115,8098,0),
		},
		{--172
			StreetID = 0,
			Start 	= Vector(115,8098,0),
			End 	= Vector(185,8231,0),
		},
		{--173
			StreetID = 0,
			Start 	= Vector(185,8231,0),
			End 	= Vector(280,8346,0),
		},
		{--174
			StreetID = 0,
			Start 	= Vector(280,8346,0),
			End 	= Vector(397,8438,0),
		},
		{--175
			StreetID = 0,
			Start 	= Vector(397,8438,0),
			End 	= Vector(528,8511,0),
		},
		{--176
			StreetID = 0,
			Start 	= Vector(528,8511,0),
			End 	= Vector(670,8554,0),
		},
		{--177
			StreetID = 0,
			Start 	= Vector(670,8554,0),
			End 	= Vector(820,8576,0),
		},
		{--178
			StreetID = 0,
			Start 	= Vector(820,8576,0),
			End 	= Vector(3891,8576,0),
		},
		{--179
			StreetID = 0,
			Start 	= Vector(3891,8576,0),
			End 	= Vector(3921,8570,0),
		},
		{--180
			StreetID = 0,
			Start 	= Vector(3921,8570,0),
			End 	= Vector(4039,8554,0),
		},
		{--181
			StreetID = 0,
			Start 	= Vector(4039,8554,0),
			End 	= Vector(4183,8511,0),
		},
		{--182
			StreetID = 0,
			Start 	= Vector(4183,8511,0),
			End 	= Vector(4315,8441,0),
		},
		{--183
			StreetID = 0,
			Start 	= Vector(4315,8441,0),
			End 	= Vector(4432,8347,0),
		},
		{--184
			StreetID = 0,
			Start 	= Vector(4432,8347,0),
			End 	= Vector(4523,8229,0),
		},
		{--185
			StreetID = 0,
			Start 	= Vector(4523,8229,0),
			End 	= Vector(4596,8099,0),
		},
		{--186
			StreetID = 0,
			Start 	= Vector(4596,8099,0),
			End 	= Vector(4639,7956,0),
		},
		{--187
			StreetID = 0,
			Start 	= Vector(4639,7956,0),
			End 	= Vector(4665,7808,0),
		},
		{--188
			StreetID = 0,
			Start 	= Vector(4665,7808,0),
			End 	= Vector(4668,4999,0),
		},	
		{--189
			StreetID = 5,
			Start 	= Vector(4668,4999,0),
			End 	= Vector(2491,4999,0),
		},
		{--190
			StreetID = 5,
			Start 	= Vector(2491,4999,0),
			End 	= Vector(61,4999,0),
		},
		{--191
			StreetID = 5,
			Start 	= Vector(2491,4999,0),
			End 	= Vector(2491,3209,0),
		},
		{--192
			StreetID = 5,
			Start 	= Vector(2491,3209,0),
			End 	= Vector(4403,3209,0),
		},
		{--193
			StreetID = 5,
			Start 	= Vector(2491,3209,0),
			End 	= Vector(59,3209,0),
		},
		{--194
			StreetID = 5,
			Start 	= Vector(4668,4999,0),
			End 	= Vector(4664,3454,0),
		},
		{--195
			StreetID = 5,
			Start 	= Vector(4664,3454,0),
			End 	= Vector(4403,3209,0),
		},
	},
	["rp_evoford"] = {
	},
}

DefaultCityScape = {"base.wind.light_day","base.night_creepy","base.interior","base.constructtone_day"}
DefaultCityScapeRoof = {"roof.airconditioner","base.wind.medium_day","base.night_creepy","base.interior","base.constructtone_day"}
DefaultTunnelScape = {"base.interior","base.tunnel","base.wind.light_day"}
DefaultFactoryScape = {"base.interior","tech.factory","base.wind.light_day"}
DefaultNatureScape = {"forest.birds","nights.crickets"}
DefaultScape = {"base.wind_bass","base.wind.medium_storm"} -- *
DefaultScapeNotTunnel = {"base.weather.rain","base.weather.raincar"}
for i,k in pairs(DefaultScape) do
	table.insert(DefaultCityScape,k)
	table.insert(DefaultCityScapeRoof,k)
	table.insert(DefaultTunnelScape,k)
	table.insert(DefaultNatureScape,k)
end
for i,k in pairs(DefaultScapeNotTunnel) do
	table.insert(DefaultCityScape,k)
	table.insert(DefaultCityScapeRoof,k)
	table.insert(DefaultNatureScape,k)
end
MapData.AmbientData 	= {
	["rp_evocity_v33x"] = {
		["city"] = {
			[0] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-08112,-07965,60),
				End 	= Vector(-10283,-12524,1600),
			},
			[1] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10283,-07965,60),
				End 	= Vector(-11000,-08803,1600),
			},
			[2] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10843,-08803,60),
				End 	= Vector(-11000,-10332,1600),
			},
			[3] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10743,-10332,60),
				End 	= Vector(-11000,-11956,1600),
			},
			[4] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10282,-10724,60),
				End 	= Vector(-10743,-11956,1600),
			},
			[5] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-03910,-07952,60),
				End 	= Vector(-08112,-08644,1600),
			},
			[6] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-005676,-08644,60),
				End 	= Vector(-6763.7,-09172.2,1600),
			},
			[7] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-05548,-08901,60),
				End 	= Vector(-05676,-09669,1600),
			},
			[8] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-06972,-09693,60),
				End 	= Vector(-07787,-10660,1600),
			},
			[9] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-06332,-09693,60),
				End 	= Vector(-06972,-09806,1600),
			},
			[10] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-06332,-09717,60),
				End 	= Vector(-06443,-10660,1600),
			},
			[11] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-06443,-09806,353),
				End 	= Vector(-06971,-10659,1600),
			},
			[12] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-07788,-08613,-210),
				End 	= Vector(-08112,-10682,1600),
			},
			[13] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-03630,-08644,450),
				End 	= Vector(-05675,-08900,1600),
			},
			[14] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-05420,-10660,-60),
				End 	= Vector(-08111,-12639,1600),
			},
			[15] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-05675,-09173,-60),
				End 	= Vector(-06332,-10660,1600),
			},
			[16] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-4000,-5775,-60),
				End 	= Vector(-4835,-7572,1600),
			},
			[17] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-4423,-4979,-60),
				End 	= Vector(-8520,-5775,1600),
			},
			[18] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7960,-5775,-60),
				End 	= Vector(-8520,-6800,1600),
			},
			[19] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-5436,-5775,-60),
				End 	= Vector(-7084,-8028,1600),
			},
			[20] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7084,-6800,-60),
				End 	= Vector(-8520,-7444,1600),
			},
			[21] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7864,-7444,-60),
				End 	= Vector(-10282,-7965,1600),
			},
			[22] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7084,-7444,295),
				End 	= Vector(-7864,-7960,1600),
			},
			[23] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7084,-5775,-60),
				End 	= Vector(-7349,-7960,1600),
			},
			[24] = {
				Scape = DefaultCityScapeRoof,
				Start 	= Vector(-7349,-5775,290),
				End 	= Vector(-7960,-7960,1600),
			},
			[25] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-4000,-5119,-60),
				End 	= Vector(-4423,-5775,1600),
			},
			[26] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7860,-4476,-60),
				End 	= Vector(-8520,-4980,1600),
			},
			[27] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7926,-3178,-60),
				End 	= Vector(-8520,-4980,1600),
			},
			[28] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-5456,-3456.5,-60),
				End 	= Vector(-7926,-3955,1600),
			},
			[29] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-5456,-3456.5,-60),
				End 	= Vector(-7275,-4973,1600),
			},
			[30] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-5456,-3456.5,-60),
				End 	= Vector(-7275,-4979,1600),
			},
			[31] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-3910,-7572,-60),
				End 	= Vector(-4835,-7964,1600),
			},
			[32] = {
				Scape = DefaultCityScapeRoof,
				Start 	= Vector(-4835,-5775,335),
				End 	= Vector(-5434,-6480,1600),
			},
			[33] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-4834,-6480,-60),
				End 	= Vector(-5060,-7950,1600),
			},
			[34] = {
				Scape = DefaultCityScapeRoof,
				Start 	= Vector(-4834,-5932,465),
				End 	= Vector(-5437,-7950,1600),
			},
			[35] = {
				Scape = DefaultCityScapeRoof,
				Start 	= Vector(-5059,-5932,335),
				End 	= Vector(-5437,-7573,465),
			},
			[36] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-5060,-6450,-60),
				End 	= Vector(-5436,-6933,335),
			},
			[37] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10282,-9700,-60),
				End 	= Vector(-10412,-10077,1600),
			},
			[38] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10418,-9451,450),
				End 	= Vector(-10520,-10081,1600),
			},
			[39] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10282,-9451,325),
				End 	= Vector(-10418,-9700,1600),
			},
			[40] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10517,-9444,450),
				End 	= Vector(-10843,-9698,1600),
			},
			[41] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10282,-8092,483),
				End 	= Vector(-10843,-9451,1600),
			},
			[42] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10282,-8802,380),
				End 	= Vector(-10843,-9060,1600),
			},
			[43] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7272,-4725,-60),
				End 	= Vector(-7332,-4980,1600),
			},
			[44] = {
				Scape = DefaultCityScapeRoof,
				Start 	= Vector(-7272,-3950,315),
				End 	= Vector(-7928,-4984,1600),
			},
		},
		["wendepunkt"] = {
			[0] = {
				Scape	= DefaultNatureScape,
				Start 	= Vector(570,630,-60),
				End		= Vector(-6585,-1432,1600),
			},
		},
		["city2"] = {
			[0] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-3974,10260,-60),
				End		= Vector(-9373,4091,1600),
			},
			[1] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-9356,8851,-60),
				End		= Vector(-12140,8177,1600),
			},
			[2] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10907,9875,-60),
				End		= Vector(-12140,8851,1600),
			},
			[3] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-9373,9874,200),
				End		= Vector(-10907,8851,1600),
			},
			[4] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-9357,10180,-60),
				End		= Vector(-12122,9875,1600),
			},
			[5] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-9373,9483,-60),
				End		= Vector(-9441,9242,1600),
			},
		},
		["tunnels"] = {
			[0] = {
				Scape = DefaultTunnelScape,
				Start 	= Vector(-5765,-1410,-60),
				End 	= Vector(-6244,-3458,1600),
			},
			[1] = {
				Scape = DefaultTunnelScape,
				Start 	= Vector(-4741,4114,-60),
				End 	= Vector(-5220,614,1600),
			},
			[2] = {
				Scape = DefaultTunnelScape,
				Start 	= Vector(-7429,10396,-60),
				End 	= Vector(-7940,10181,1600),
			},
			[3] = {
				Scape = DefaultTunnelScape,
				Start 	= Vector(12287,11255,-60),
				End 	= Vector(11808,5498,1600),
			},
			[4] = {
				Scape = DefaultTunnelScape,
				Start 	= Vector(-728,-1408,-60),
				End 	= Vector(-1207,-4766,1600),
			},
			[5]  = {
				Scape = DefaultTunnelScape,
				Start 	= Vector(307,2698,-60),
				End 	= Vector(-340,639,1600),
			},
		},
		["city3"] = {
			[0] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(-1121,-4742,-60),
				End 	= Vector(-1762,-7603,1600),
			},
			[1] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(-1407,-7603,-60),
				End 	= Vector(-1795,-8837,1600),
			},
			[2] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(-360,-8290,-60),
				End 	= Vector(-1407,-8837,1600),
			},
			[3] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(3615,-4766,-60),
				End 	= Vector(-1120,-7056,1600),
			},
			[4] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(3954,-2695,-60),
				End 	= Vector(2323,-4766,1600),
			},
			[5] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(6963,-4766,-60),
				End 	= Vector(3615,-7173,1600),
			},
			[6] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(10388,2907,-60),
				End 	= Vector(5894,-4766,1600),
			},
			[7] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(12580,5500,-60),
				End 	= Vector(10237,-622,1600),
			},
		},
		["city4"] = {
			[0] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(12924,15328,-60),
				End 	= Vector(5811,11251,1600),
			},
			[1] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(9249,11251,-60),
				End 	= Vector(5811,9366,1600),
			},
			[2] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(1055,15327,-60),
				End 	= Vector(-3039,10311,1600),
			},
			[3] = {
				Scape = DefaultNatureScape,
				Start 	= Vector(5811,10311,-60),
				End 	= Vector(-1094,9366,1600),
			},
		}
	},
	["rp_evoford"] = {
		["city"] = {
			[0] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-9313,-07965,60),
				End 	= Vector(-10283,-12524,1600),
			},
			[1] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-10283,-07965,60),
				End 	= Vector(-11000,-08803,1600),
			},
			[6] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-005676,-08644,60),
				End 	= Vector(-8287,-9316,1600),
			},
			[7] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-3418,-8607,60),
				End 	= Vector(-5680,-9953,1600),
			},
			[8] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-6332,-9317,-60),
				End 	= Vector(-6561,-10532,1600),
			},
			[9] = {
				Scape = DefaultCityScape,
				Start 	= Vector(0,0,-60),
				End 	= Vector(0,0,1600),
			},
			[10] = {
				Scape = DefaultCityScape,
				Start 	= Vector(0,0,-60),
				End 	= Vector(0,0,1600),
			},
			[11] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-8280,-8663,-60),
				End 	= Vector(-9313,-9829,1600),
			},
			[12] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-8109,-7795,-210),
				End 	= Vector(-9310,-9215,1600),
			},
			[13] = {
				Scape = DefaultCityScape,
				Start 	= Vector(0,0,-60),
				End 	= Vector(0,0,1600),
			},
			[14] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-6331,-10531,-60),
				End 	= Vector(-9582,-10781,1600),
			},
			[17] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-4423,-4979,-60),
				End 	= Vector(-8383,-5775,1600),
			},
			[18] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7960,-5775,-60),
				End 	= Vector(-8520,-7965,1600),
			},
			[19] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-5436,-5775,-60),
				End 	= Vector(-6670,-8028,1600),
			},
			[20] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-6964,-6800,-60),
				End 	= Vector(-7960,-7015,1600),
			},
			[21] = {
				Scape = DefaultCityScape,
				Start 	= Vector(0,0,-60),
				End 	= Vector(0,0,1600),
			},
			[22] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-6964,-5775,-60),
				End 	= Vector(-7960,-6021,1600),
			},
			[23] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-6670,-5775,-60),
				End 	= Vector(-6964,-7015,1600),
			},
			[24] = {
				Scape = DefaultCityScapeRoof,
				Start 	= Vector(-7835,-6021,-60),
				End 	= Vector(-7960,-7015,1600),
			},
			[26] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7860,-4476,-60),
				End 	= Vector(-8383,-4980,1600),
			},
			[27] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-7926,-3178,-60),
				End 	= Vector(-8383,-4980,1600),
			},
			[30] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-5456,-3456.5,-60),
				End 	= Vector(-7275,-4979,1600),
			},
			[33] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-4834,-6545,-60),
				End 	= Vector(-5060,-7950,1600),
			},
			[35] = {
				Scape = DefaultCityScapeRoof,
				Start 	= Vector(-5059,-5932,335),
				End 	= Vector(-5437,-7573,465),
			},
			[36] = {
				Scape = DefaultCityScape,
				Start 	= Vector(-5060,-6545,-60),
				End 	= Vector(-5436,-6933,1600),
			},
			[60] = {
				Scape = DefaultCityScape,
				Start	= Vector(-5547,-10781,-60),
				End		= Vector(-6476,-12119,1600),
			},
			[61] = {
				Scape = DefaultCityScape,
				Start = Vector(-5354,-10925,-60),
				End = Vector(-5548,-11417,1600),
			},
			[62] = {
				Scape = DefaultCityScape,
				Start = Vector(-5421,-12117,-60),
				End = Vector(-9315,-12525,1600),
			},
			[63] = {
				Scape = DefaultCityScape,
				Start = Vector(-6476,-11485,-60),
				End = Vector(-9315,-12117,1600),
			},
			[64] = {
				Scape = DefaultCityScape,
				Start = Vector(-10414,-3427,-60),
				End = Vector(-11554,-5947,1600),
			},
			[65] = {
				Scape = DefaultCityScape,
				Start = Vector(-9432,-5947,-60),
				End = Vector(-10414,-7963,1600),
			},
			[66] = {
				Scape = DefaultCityScape,
				Start = Vector(-8520,-6710,-60),
				End   = Vector(-9473,-7037,1600),
			},
			[67] = {
				Scape = DefaultCityScape,
				Start = Vector(-9188,-7800,-60),
				End = Vector(-9508,-6998,1600),
			},
			[68] = {
				Scape = DefaultCityScape,
				Start = Vector(-9188,-7005,-60),
				End = Vector(-9634,-7801,1600),
			},
			[69] = {
				Scape = DefaultCityScape,
				Start = Vector(-7855,-7010,-60),
				End = Vector(-7963,-7971,1600),
			},
			[70] = {
				Scape = DefaultCityScape,
				Start = Vector(-7759,-7813,-60),
				End = Vector(-7865,-7921,1600),
			},
			[71] = {
				Scape = DefaultCityScape,
				Start = Vector(-7798,-7765,-60),
				End = Vector(-7864,-7812,1600),
			},
			[72] = {
				Scape = DefaultCityScape,
				Start = Vector(-7709,-7860,-60),
				End = Vector(-7761,-7918,1600),
			},	
			[73] = {
				Scape = DefaultCityScape,
				Start = Vector(-10155,-7596,-60),
				End = Vector(-11612,-8805,1600),
			},
			[74] = {
				Scape = DefaultCityScape,
				Start = Vector(-11108,-6843,-60),
				End = Vector(-11676,-9727,1600),
			},
			[75] = {
				Scape = DefaultCityScape,
				Start = Vector(-10413,-7481,-60),
				End = Vector(-11558,-7852,1600),
			},
			[76] = {
				Scape = DefaultCityScape,
				Start = Vector(-11018,-5947,-60),
				End = Vector(-11628,-6844,1600),
			},
			[77] = {
				Scape = DefaultCityScape,
				Start = Vector(-8383,-3427,-60),
				End = Vector(-10414,-4224,1600),
			},
			[78] = {
				Scape = DefaultCityScape,
				Start = Vector(-8382,-5057,-60),
				End = Vector(-10304,-5950,1600),
			},
			[79] = {
				Scape = DefaultCityScape,
				Start = Vector(-9019,-4864,-60),
				End = Vector(-9284,-5068,1600),
			},
			[80] = {
				Scape = DefaultCityScape,
				Start = Vector(-9018,-4416,-60),
				End = Vector(-9277,-4219,1600),
			},
			[81] = {
				Scape = DefaultCityScape,
				Start = Vector(-9918,-4224,-60),
				End = Vector(-10421,-5057,1600),
			},

			
			
			
			
		}
	},
}

function MapData.DefineRegion(a,b)
	local index = table.insert(MapData.AmbientData["rp_evoford"]["city"],{Scape={},Start=a,End=b})
	MsgN("			["..(table.Count(MapData.AmbientData["rp_evoford"]["city"])+14).."] = {")
	MsgN("				Scape = DefaultCityScape,")
	MsgN("				Start = Vector("..math.Round(a.x)..","..math.Round(a.y)..",-60),")
	MsgN("				End = Vector("..math.Round(b.x)..","..math.Round(b.y)..",1600),")
	MsgN("			},")
	net.Start("MapData.Request")
	net.Broadcast()
end
// EvoFord Merge
local __temp = MapData.AmbientData["rp_evocity_v33x"]
table.Merge(__temp,MapData.AmbientData["rp_evoford"])
MapData.AmbientData["rp_evoford"] = __temp

local function rotateAround(angle,axis,degree)
	angle:RotateAroundAxis((axis == "f" and angle:Forward() or (axis == "u" and angle:Up() or angle:Right())),degree)
	return angle
end
MapData.ScreenVehicleData =  {
	["models/lonewolfie/mercedes_actros_2014_4x2.mdl"] = {
		lp = Vector(-14.5,103.5,101.2),
		la = rotateAround(Angle(270+25,61,0),"u",-90),
		w = 260,
		h = 140,
	},
	["models/lonewolfie/ford_f350_ambu.mdl"] = {
		lp = Vector(-11.5,76.9,79.5),
		la = rotateAround(Angle(270+4.5,68.5,0),"u",-90),
		w = 260,
		h = 140,
	},
}
local function sendMapDataPacket(ply,data,packettype,leftover)
	--MsgN("Sending Packet["..leftover.." leftover] of type["..packettype.."]")
	--PrintTable(data)
	net.Start("MapData.MapPacket")
		net.WriteInt(leftover,32)
		net.WriteInt(packettype,32)
		net.WriteTable(data)
	net.Send(ply)
end
local function generatePackets(pckData,pckType,packets,dataPerPacket)
	local uuIndex = 0
	local uuData = {}
	for i,k in pairs(pckData) do
		if uuIndex >= dataPerPacket then
			table.insert(packets,{Data = uuData,Type = pckType})
			uuIndex = 0
			uuData = {}
		end
		uuData[i] = k
		uuIndex = uuIndex + 1
	end
	if uuIndex > 0 then
		table.insert(packets,{Data = uuData,Type = pckType})
	end
	return packets
end
net.Receive("MapData.Request",function(len,pl)
	MsgN("Sending "..pl:Nick().."["..pl:SteamID().."/"..pl:SteamID64().."] PacketData")
	local streetLexika = MapData.StreetLexika[game.GetMap()]
	local ambientData = MapData.AmbientData[game.GetMap()]
	local streetData = MapData.StreetData[game.GetMap()]
	local svData = MapData.ScreenVehicleData
	if not streetLexika then
		MsgN("No Street Lexika Data exists, not sending")
		return
	end
	local packets = {}
	packets = generatePackets(streetLexika,AMBIENCE_PACKET_LEXIKA,packets,20)
	packets = generatePackets(streetData,AMBIENCE_PACKET_STREET,packets,20)
	packets = generatePackets(ambientData,AMBIENCE_PACKET_AMBIENT,packets,20)
	packets = generatePackets(svData,AMBIENCE_PACKET_SVDATA,packets,20)
	packets = generatePackets(MapData.ScapeData,AMBIENCE_PACKET_SCAPE,packets,20)
	packets = generatePackets(MapData.GraphData,AMBIENCE_PACKET_GRAPH,packets,20)
	local packetsGenerated = table.Count(packets)
	net.Start("MapData.MapPacketHeader")
		net.WriteInt(packetsGenerated,32)
	net.Send(pl)
	MsgN("Generated "..packetsGenerated.. " C_Packets")
	timer.Simple(0.1,function()
		for i,k in pairs(packets) do
			timer.Simple(i/2,function()
				sendMapDataPacket(pl,k.Data,k.Type,packetsGenerated - i)
			end)
		end
	end)
end)

if MapData.AmbientData[game.GetMap()] then
	local connectedWithNode = {}
	for i,k in pairs(MapData.StreetData[game.GetMap()]) do
		if not connectedWithNode[k.Start.x.."/"..k.Start.y] then connectedWithNode[k.Start.x.."/"..k.Start.y] = {} end 
		if not connectedWithNode[k.End.x.."/"..k.End.y] then connectedWithNode[k.End.x.."/"..k.End.y] = {} end
		connectedWithNode[k.Start.x.."/"..k.Start.y][i]=true
		connectedWithNode[k.End.x.."/"..k.End.y][i]=true
	end
	PrintTable(connectedWithNode)
	for i,k in pairs(MapData.StreetData[game.GetMap()]) do
		local c = connectedWithNode[k.Start.x.."/"..k.Start.y]
		table.Merge(c,connectedWithNode[k.End.x.."/"..k.End.y])
		MapData.StreetData[game.GetMap()][i].ConnectedWith = c
	end
end
if table.Count(player.GetAll()) > 0 then
	net.Start("MapData.Request")
	net.Broadcast()
end